com.holonplatform.vaadin.components.builders

## Interface TabsBuilder.TabBuilder<C extends com.vaadin.ui.TabSheet>

- Type Parameters:
    `C` - Actual tabs component type
  Enclosing interface:
    TabsBuilder<C extends com.vaadin.ui.TabSheet>

      public static interface TabsBuilder.TabBuilder<C extends com.vaadin.ui.TabSheet>

  Tab builder.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `TabsBuilder<C>` | `add()` Add the new tab to the tabs component.
    `TabsBuilder.TabBuilder<C>` | `caption(com.holonplatform.core.i18n.Localizable caption)` Set the tab caption using a `Localizable`.
    `default TabsBuilder.TabBuilder<C>` | `caption(String caption)` Set the tab caption.
    `default TabsBuilder.TabBuilder<C>` | `caption(String defaultCaption, String messageCode, Object... arguments)` Set the tab caption.
    `TabsBuilder.TabBuilder<C>` | `closable(boolean closable)` Sets the closability status for the tab.
    `TabsBuilder.TabBuilder<C>` | `defaultFocusComponent(com.vaadin.ui.Component.Focusable component)` Set the component that should automatically focused when the tab is selected.
    `TabsBuilder.TabBuilder<C>` | `description(com.holonplatform.core.i18n.Localizable description)` Set the tab description using a `Localizable`.
    `default TabsBuilder.TabBuilder<C>` | `description(String description)` Set the tab description.
    `default TabsBuilder.TabBuilder<C>` | `description(String defaultDescription, String messageCode, Object... arguments)` Set the tab description.
    `TabsBuilder.TabBuilder<C>` | `enabled(boolean enabled)` Set whether the tab is enabled.
    `TabsBuilder.TabBuilder<C>` | `icon(com.vaadin.server.Resource icon)` Set the tab icon.
    `TabsBuilder.TabBuilder<C>` | `styleName(String styleName)` Set the tab CSS style name.
    `TabsBuilder.TabBuilder<C>` | `visible(boolean visible)` Set tab visibility.

- - ### Method Detail

    - #### caption

          TabsBuilder.TabBuilder<C> caption(com.holonplatform.core.i18n.Localizable caption)

      Set the tab caption using a `Localizable`.
      Parameters:
        `caption` - Tab caption (not null)
      Returns:
        this

    - #### caption

          default TabsBuilder.TabBuilder<C> caption(String caption)

      Set the tab caption.
      Parameters:
        `caption` - Tab caption
      Returns:
        this

    - #### caption

          default TabsBuilder.TabBuilder<C> caption(String defaultCaption,
                                                    String messageCode,
                                                    Object... arguments)

      Set the tab caption.
      Parameters:
        `defaultCaption` - Default caption
        `messageCode` - Caption message code
        `arguments` - Optional message arguments
      Returns:
        this

    - #### description

          TabsBuilder.TabBuilder<C> description(com.holonplatform.core.i18n.Localizable description)

      Set the tab description using a `Localizable`.
      Parameters:
        `description` - Tab description (not null)
      Returns:
        this

    - #### description

          default TabsBuilder.TabBuilder<C> description(String description)

      Set the tab description.
      Parameters:
        `description` - Tab description
      Returns:
        this

    - #### description

          default TabsBuilder.TabBuilder<C> description(String defaultDescription,
                                                        String messageCode,
                                                        Object... arguments)

      Set the tab description.
      Parameters:
        `defaultDescription` - Default description
        `messageCode` - Description message code
        `arguments` - Optional message arguments
      Returns:
        this

    - #### icon

          TabsBuilder.TabBuilder<C> icon(com.vaadin.server.Resource icon)

      Set the tab icon.
      Parameters:
        `icon` - Tab icon
      Returns:
        this

    - #### visible

          TabsBuilder.TabBuilder<C> visible(boolean visible)

      Set tab visibility. Tabs are visible by default.
      Parameters:
        `visible` - Whether the tab is visible
      Returns:
        this

    - #### enabled

          TabsBuilder.TabBuilder<C> enabled(boolean enabled)

      Set whether the tab is enabled. Tabs are enabled by default.
      Parameters:
        `enabled` - Whether the tab is enabled
      Returns:
        this

    - #### closable

          TabsBuilder.TabBuilder<C> closable(boolean closable)

      Sets the closability status for the tab. A closable tab can be closed by the user through the user interface. This also controls if a close button is shown to the user or not.
      Parameters:
        `closable` - `true` to set the tab as closable
      Returns:
        this

    - #### styleName

          TabsBuilder.TabBuilder<C> styleName(String styleName)

      Set the tab CSS style name.
      Parameters:
        `styleName` - The style name to set
      Returns:
        this

    - #### defaultFocusComponent

          TabsBuilder.TabBuilder<C> defaultFocusComponent(com.vaadin.ui.Component.Focusable component)

      Set the component that should automatically focused when the tab is selected.
      Parameters:
        `component` - the component to focus
      Returns:
        this

    - #### add

          TabsBuilder<C> add()

      Add the new tab to the tabs component.
      Returns:
        Tabs component builder

Copyright © 2019 The Holon Platform. All rights reserved.